## unar 1.9.1

=== XADMaster/PPMd/Makefile ===
CFLAGS=-std=c99 -g

LDFLAGS=
LIBS=

CC=gcc
LD=gcc

PPMD_C_FILES=Context.c \
             RangeCoder.c \
             SubAllocatorBrimstone.c \
             SubAllocatorVariantG.c \
             SubAllocatorVariantH.c \
             SubAllocatorVariantI.c \
             VariantG.c \
             VariantH.c \
             VariantI.c

SIMPLEDECOMPRESSOR_C_FILES=SimpleDecompressor.c

FUZZER_C_FILES=Fuzzer.c

ALL_C_FILES=$(PPMD_C_FILES) $(SIMPLEDECOMPRESSOR_C_FILES) $(FUZZER_C_FILES)

ALL_OBJS=$(ALL_C_FILES:.c=.o)
SIMPLEDECOMPRESSOR_OBJS=$(SIMPLEDECOMPRESSOR_C_FILES:.c=.o) $(PPMD_C_FILES:.c=.o)
FUZZER_OBJS=$(FUZZER_C_FILES:.c=.o) $(PPMD_C_FILES:.c=.o)

all: SimpleDecompressor Fuzzer

Fuzzer: $(FUZZER_OBJS)
	$(LD) $(LDFLAGS) -o $@ $^ $(LIBS)

SimpleDecompressor: $(SIMPLEDECOMPRESSOR_OBJS)
	$(LD) $(LDFLAGS) -o $@ $^ $(LIBS)

clean:
	rm -rf $(ALL_OBJS) SimpleDecompressor Fuzzer

depend:
	$(CC) -MM $(CFLAGS) $(ALL_C_FILES) >Dependencies.tmp
	sed 's/.*: *\([^ ]*\)\.\([^ ]*\)/\1.o: \1.\2/g' <Dependencies.tmp >Dependencies
	rm Dependencies.tmp

include Dependencies

=== XADMaster/WinZipJPEG/Makefile ===
CFLAGS=-std=c99 -g

LDFLAGS=
LIBS=

CC=gcc
LD=gcc

ALL_C_FILES=ArithmeticDecoder.c \
            Decompressor.c \
            JPEG.c \
            RawDecoder.c \
            Test.c \
            ../lzma/LzmaDec.c \

RAWDECODER_C_FILES=ArithmeticDecoder.c \
                   Decompressor.c \
                   JPEG.c \
                   RawDecoder.c \
                   ../lzma/LzmaDec.c \

TEST_C_FILES=ArithmeticDecoder.c \
             Test.c

ALL_OBJS=$(ALL_C_FILES:.c=.o)
RAWDECODER_OBJS=$(RAWDECODER_C_FILES:.c=.o)
TEST_OBJS=$(TEST_C_FILES:.c=.o)

all: RawDecoder Test

RawDecoder: $(RAWDECODER_OBJS)
	$(LD) $(LDFLAGS) -o $@ $^ $(LIBS)

Test: $(TEST_OBJS)
	$(LD) $(LDFLAGS) -o $@ $^ $(LIBS)

clean:
	rm -rf $(ALL_OBJS) RawDecoder Test

depend:
	$(CC) -MM $(CFLAGS) $(ALL_C_FILES) >Dependencies.tmp
	sed 's/.*: *\([^ ]*\)\.\([^ ]*\)/\1.o: \1.\2/g' <Dependencies.tmp >Dependencies
	rm Dependencies.tmp

include Dependencies

## unar 0.99

=== debian/changelog ===
unar (0.99-1~bpo60+1) squeeze-backports; urgency=low

  * Backport.

 -- Matt Kraai <kraai@debian.org>  Tue, 29 Nov 2011 20:18:33 -0800

unar (0.99-1) unstable; urgency=low

  * Package.

 -- Matt Kraai <kraai@debian.org>  Sun, 13 Nov 2011 06:27:41 -0800

=== debian/control ===
Source: unar
Maintainer: Matt Kraai <kraai@debian.org>
Uploaders: Asias He <asias.hejun@gmail.com>,
 Julián Moreno Patiño <darkjunix@gmail.com>
DM-Upload-Allowed: yes
Section: utils
Priority: optional
Build-Depends: debhelper (>= 8.1.3), gobjc, libbz2-dev, libgnustep-base-dev,
 libicu-dev, libssl-dev, libwavpack-dev, zlib1g-dev
Standards-Version: 3.9.2.0
Homepage: http://wakaba.c3.cx/s/apps/unarchiver.html
Vcs-Git: git://git.debian.org/collab-maint/unar.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/unar.git

Package: unar
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: theunarchiver
Provides: theunarchiver
Replaces: theunarchiver
Description: Unarchiver for a variety of file formats
 The Unarchiver is an archive unpacker program with support for the popular
 zip, RAR, 7z, tar, gzip, bzip2, LZMA, XZ, CAB, MSI, NSIS, EXE, ISO, BIN, and
 split file formats, as well as the old Stuffit, Stuffit X, DiskDouble, Compact
 Pro, Packit, cpio, compress (.Z), ARJ, ARC, PAK, ACE, ZOO, LZH, ADF, DMS, LZX,
 PowerPacker, LBR, Squeeze, Crunch, and other old formats.
 .
 This package contains the lsar tool which lists the contents of archives and
 the unar tool which extracts those contents.

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

%:
	dh $@

override_dh_auto_build:
	OBJCFLAGS="$(CFLAGS)" $(MAKE) -C XADMaster -f Makefile.linux

override_dh_auto_clean:
	$(MAKE) -C XADMaster -f Makefile.linux clean

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	XADMaster/XADTest2
	XADMaster/XADTest3
	XADMaster/XADTest4
endif

override_dh_builddeb:
	dh_builddeb -- -Zbzip2

## unar 1.1

=== debian/changelog ===
unar (1.1-2) unstable; urgency=low

  * Link with g++.

 -- Matt Kraai <kraai@debian.org>  Thu, 24 May 2012 21:41:48 -0700

unar (1.1-1) unstable; urgency=low

  * New upstream release.
  * Update use-system-wavpack.patch to point
    to XADMaster/Makefile.common (split file
    from XADMaster/Makefile.linux).

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Sat, 12 May 2012 20:33:45 -0500

unar (1.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh use-system-wavpack.patch patch offset.
  * Bump Standards-Version to 3.9.3.
    + Update DEP5 to copyright-format 1.0.
      + Extend debian copyright holder year.
  * Bump debhelper version to 9.20120115
    because now compat level 9 is recommended.
    + Remove debian/source/lintian-overrides.
  * Use rm -rf to remove other OSs specific folders
    in debian/rules.

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Sat, 24 Mar 2012 22:22:36 -0500

unar (0.99-2) unstable; urgency=low

  * Add bash completion support. (Closes: #651038)
    + Add bash-completion to B-D.
    + Add bash_completion addon to dh.
  * Change binary package compression from bzip2 to xz.
    + Add Pre-Depends on dpkg (>= 1.15.6~).
  * Add get-orig-source target in debian/rules.
    + Document how to get the tarball in README.source.

 -- Julián Moreno Patiño <darkjunix@gmail.com>  Sun, 22 Jan 2012 01:40:21 -0500

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 DM-Upload-Allowed: yes
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 8.1.3), gobjc, libbz2-dev, libgnustep-base-dev,
- libicu-dev, libssl-dev, libwavpack-dev, zlib1g-dev
-Standards-Version: 3.9.2.0
+Build-Depends: debhelper (>= 9.20120115), gobjc, libbz2-dev, libgnustep-base-dev,
+ libicu-dev, libssl-dev, libwavpack-dev, zlib1g-dev, bash-completion (>= 1:1.0)
+Standards-Version: 3.9.3
 Homepage: http://wakaba.c3.cx/s/apps/unarchiver.html
 Vcs-Git: git://git.debian.org/collab-maint/unar.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/unar.git
@@ -15,6 +15,7 @@
 Package: unar
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: dpkg (>= 1.15.6~)
 Conflicts: theunarchiver
 Provides: theunarchiver
 Replaces: theunarchiver

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,31 @@
 #!/usr/bin/make -f
+
+PKG_VERSION := $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
+PKG := $(shell dh_listpackages)
+
+get-orig-source:
+	# Uscan can grab upstream source zip
+	uscan --noconf --force-download --download-current-version --destdir=.
+	# Just to be safe
+	rm -rf $(PKG)-$(PKG_VERSION)
+	# Unpack
+	unzip $(PKG)$(PKG_VERSION)_src.zip -d \
+	$(PKG)-$(PKG_VERSION)
+	rm $(PKG)$(PKG_VERSION)_src.zip
+	# Delete object files
+	find $(PKG)-$(PKG_VERSION) -name '*.o' -delete
+	# Delete other OSs specific dirs
+	rm -rf $(PKG)-$(PKG_VERSION)/__MACOSX/ \
+		$(PKG)-$(PKG_VERSION)/XADMaster/Windows/
+	# Repacked source should have a top-level directory ending in .orig
+	# as a reminder to other developers
+	mv $(PKG)-$(PKG_VERSION) $(PKG)-$(PKG_VERSION).orig
+	tar -c --owner root --group root --mode a+rX \
+			$(PKG)-$(PKG_VERSION).orig | \
+			bzip2 -9 > ../$(PKG)_$(PKG_VERSION).orig.tar.bz2
+
+	rm -r $(PKG)-$(PKG_VERSION).orig
+
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -6,7 +33,7 @@
 endif
 
 %:
-	dh $@
+	dh $@ --with bash-completion
 
 override_dh_auto_build:
 	OBJCFLAGS="$(CFLAGS)" $(MAKE) -C XADMaster -f Makefile.linux
@@ -22,4 +49,4 @@
 endif
 
 override_dh_builddeb:
-	dh_builddeb -- -Zbzip2
+	dh_builddeb -- -Zxz

## unar 1.2

=== debian/changelog ===
unar (1.2-2build1) raring; urgency=low

  * Rebuild for gnustep-base 1.24 transition.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 21 Nov 2012 15:24:20 +0100

unar (1.2-2) unstable; urgency=low

  * d/patches/pass-cppflags-for-fortify-functions.patch
    Pass CFLAGS properly. (Closes: #687503)

 -- Julián Moreno Patiño <julian@debian.org>  Sun, 16 Sep 2012 22:10:27 -0500

unar (1.2-1) unstable; urgency=low

  * New upstream release.
  * d/patches/link-with-g++.patch: Remove patch.
    + Merge with upstream.
  * d/patches/use-system-wavpack.patch: Refresh patch
    offset.
  * d/patches/pass-cppflags-for-fortify-functions.patch:
    Add patch to pass CPPFLAGS to use fortify functions.
  * d/{control,copyright}: Update my email.
  * d/rules: Improve get-orig-source target.
  * d/README.source: Improve help description.

 -- Julián Moreno Patiño <julian@debian.org>  Sat, 08 Sep 2012 15:52:35 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: unar
 Maintainer: Matt Kraai <kraai@debian.org>
 Uploaders: Asias He <asias.hejun@gmail.com>,
- Julián Moreno Patiño <darkjunix@gmail.com>
+ Julián Moreno Patiño <julian@debian.org>
 DM-Upload-Allowed: yes
 Section: utils
 Priority: optional

=== debian/rules ===
--- 
+++ 
@@ -9,20 +9,23 @@
 	# Just to be safe
 	rm -rf $(PKG)-$(PKG_VERSION)
 	# Unpack
-	unzip $(PKG)$(PKG_VERSION)_src.zip -d \
-	$(PKG)-$(PKG_VERSION)
+	unzip $(PKG)$(PKG_VERSION)_src.zip
+	# Rename directory to a versioned way
+	mv The\ Unarchiver/ $(PKG)-$(PKG_VERSION)
+	# Delete zip upstream file
 	rm $(PKG)$(PKG_VERSION)_src.zip
 	# Delete object files
 	find $(PKG)-$(PKG_VERSION) -name '*.o' -delete
 	# Delete other OSs specific dirs
 	rm -rf $(PKG)-$(PKG_VERSION)/__MACOSX/ \
 		$(PKG)-$(PKG_VERSION)/XADMaster/Windows/
+	find $(PKG)-$(PKG_VERSION)  -name 'Makefile.windows' -delete
 	# Repacked source should have a top-level directory ending in .orig
 	# as a reminder to other developers
 	mv $(PKG)-$(PKG_VERSION) $(PKG)-$(PKG_VERSION).orig
-	tar -c --owner root --group root --mode a+rX \
-			$(PKG)-$(PKG_VERSION).orig | \
-			bzip2 -9 > ../$(PKG)_$(PKG_VERSION).orig.tar.bz2
+	tar -cvJf ../$(PKG)_$(PKG_VERSION).orig.tar.xz --owner \
+			root --group root --mode a+rX \
+			$(PKG)-$(PKG_VERSION).orig
 
 	rm -r $(PKG)-$(PKG_VERSION).orig

## unar 1.7

=== debian/changelog ===
unar (1.7-1) unstable; urgency=low

  [Matt Kraai]
  * d/rules: Move parallel validation to work properly.

  [Julián Moreno Patiño]
  * New upstream release. (Closes: #695247)
  * d/control:
    + Bump Standards-Version to 3.9.4 (no changes).
    + Remove DM-Upload-Allowed.
    + Update Homepage.
    + Use canonical URIs for Vcs-* fields.
  * d/rules: Improve get-orig-source target.
  * Refresh patches offset.
  * Extend debian copyright holders years.

 -- Julián Moreno Patiño <julian@debian.org>  Tue, 16 Jul 2013 11:39:12 -0500

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,14 @@
 Maintainer: Matt Kraai <kraai@debian.org>
 Uploaders: Asias He <asias.hejun@gmail.com>,
  Julián Moreno Patiño <julian@debian.org>
-DM-Upload-Allowed: yes
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 9.20120115), gobjc, libbz2-dev, libgnustep-base-dev,
  libicu-dev, libssl-dev, libwavpack-dev, zlib1g-dev, bash-completion (>= 1:1.0)
-Standards-Version: 3.9.3
-Homepage: http://wakaba.c3.cx/s/apps/unarchiver.html
-Vcs-Git: git://git.debian.org/collab-maint/unar.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/unar.git
+Standards-Version: 3.9.4
+Homepage: http://unarchiver.c3.cx/
+Vcs-Git: git://anonscm.debian.org/collab-maint/unar.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/unar.git
 
 Package: unar
 Architecture: any

## unar 1.8.1

=== debian/changelog ===
unar (1.8.1-2) unstable; urgency=medium

  [Matt Kraai]
  * Fix the dependencies for the tar autopkgtest (Closes: #739728).
  * Update Standards-Version to 3.9.5 (no changes).

 -- Matt Kraai <kraai@debian.org>  Sat, 22 Feb 2014 06:26:10 -0800

unar (1.8.1-1) unstable; urgency=low

  [Matt Kraai]
  * Add some autopkgtests.

  [Julián Moreno Patiño]
  * New upstream release.
  * d/copyright:
    + Add missing upstream copyright.
    + Extend copyright holders years.

 -- Matt Kraai <kraai@debian.org>  Wed, 28 Aug 2013 00:06:12 -0700

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
 Priority: optional
 Build-Depends: debhelper (>= 9.20120115), gobjc, libbz2-dev, libgnustep-base-dev,
  libicu-dev, libssl-dev, libwavpack-dev, zlib1g-dev, bash-completion (>= 1:1.0)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://unarchiver.c3.cx/
 Vcs-Git: git://anonscm.debian.org/collab-maint/unar.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/unar.git
+XS-Testsuite: autopkgtest
 
 Package: unar
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,11 @@
 
 PKG_VERSION := $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
 PKG := $(shell dh_listpackages)
+
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+	MAKEFLAGS += -j$(NUMJOBS)
+endif
 
 get-orig-source:
 	# Uscan can grab upstream source zip
@@ -10,16 +15,28 @@
 	rm -rf $(PKG)-$(PKG_VERSION)
 	# Unpack
 	unzip $(PKG)$(PKG_VERSION)_src.zip
+	# Delete unnecessary folder
+	rm -rf __MACOSX
 	# Rename directory to a versioned way
 	mv The\ Unarchiver/ $(PKG)-$(PKG_VERSION)
 	# Delete zip upstream file
 	rm $(PKG)$(PKG_VERSION)_src.zip
 	# Delete object files
 	find $(PKG)-$(PKG_VERSION) -name '*.o' -delete
-	# Delete other OSs specific dirs
-	rm -rf $(PKG)-$(PKG_VERSION)/__MACOSX/ \
-		$(PKG)-$(PKG_VERSION)/XADMaster/Windows/
-	find $(PKG)-$(PKG_VERSION)  -name 'Makefile.windows' -delete
+	# Delete project files
+	find $(PKG)-$(PKG_VERSION) -depth -type d \
+		\( -name '*.lproj' -o -name '*.xcodeproj' \) \
+			-exec rm -rf {} \;
+	# Delete MAC OS X preferences files
+	find $(PKG)-$(PKG_VERSION) -name '*.plist' -delete
+	# Delete other OSs specific dirs or files
+	rm -rf $(PKG)-$(PKG_VERSION)/XADMaster/Windows/ \
+		$(PKG)-$(PKG_VERSION)/Dependencies \
+		$(PKG)-$(PKG_VERSION)/.DS_Store \
+		$(PKG)-$(PKG_VERSION)/.hgignore \
+		$(PKG)-$(PKG_VERSION)/.hgtags
+	find $(PKG)-$(PKG_VERSION) -name 'Makefile.windows' -delete
+	find $(PKG)-$(PKG_VERSION) -depth -type d -name '__MACOSX' -exec rm -rf {} \;
 	# Repacked source should have a top-level directory ending in .orig
 	# as a reminder to other developers
 	mv $(PKG)-$(PKG_VERSION) $(PKG)-$(PKG_VERSION).orig
@@ -28,12 +45,6 @@
 			$(PKG)-$(PKG_VERSION).orig
 
 	rm -r $(PKG)-$(PKG_VERSION).orig
-
-
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-	MAKEFLAGS += -j$(NUMJOBS)
-endif
 
 %:
 	dh $@ --with bash-completion

=== debian/watch ===
version=3
http://code.google.com/p/theunarchiver/downloads/list \
  //theunarchiver.googlecode.com/files/unar([\d\.]+)_src.zip

## unar 1.9.1

=== debian/changelog ===
unar (1.9.1-1) unstable; urgency=medium

  * Remove /etc/bash_completion.d/unar when upgrading (Closes: #800131).
  * Update debian/watch to use Bitbucket.
  * New upstream release (Closes: #774011, #774016, #774961, #804119).
  * Add #DEBHELPER# to maintainer scripts.
  * Use "set -e" in maintainer scripts.
  * Specify the short name of a license.

 -- Matt Kraai <kraai@debian.org>  Thu, 05 Nov 2015 20:56:04 -0800

unar (1.8.1-4) unstable; urgency=medium

  [Matt Kraai]
  * Document lsar's -L and -v options and unar's -v option.
  * Update Standards-Version to 3.9.6 (no changes).

  [Jérémy Bobbio]
  * Add a patch to remove the build date from the binaries in
    order to make the package build reproducibly (Closes: #782853).

 -- Matt Kraai <kraai@debian.org>  Mon, 04 May 2015 21:48:31 -0700

unar (1.8.1-3) unstable; urgency=medium

  [Matt Kraai]
  * Change the result type of comparison functions to NSComparisonResult
    (Closes: #749805).

 -- Matt Kraai <kraai@debian.org>  Sun, 01 Jun 2014 07:33:50 -0700

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 9.20120115), gobjc, libbz2-dev, libgnustep-base-dev,
  libicu-dev, libssl-dev, libwavpack-dev, zlib1g-dev, bash-completion (>= 1:1.0)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://unarchiver.c3.cx/
 Vcs-Git: git://anonscm.debian.org/collab-maint/unar.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/unar.git

## unar 1.10.1

=== debian/changelog ===
unar (1.10.1-2build3) bionic; urgency=medium

  * No-change rebuild for libicu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 19:28:14 +0100

unar (1.10.1-2build2) bionic; urgency=medium

  * No-change rebuild for gnustep-base soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 06:38:10 +0000

unar (1.10.1-2build1) bionic; urgency=medium

  * No-change rebuild for libicu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Oct 2017 15:49:09 +0000

unar (1.10.1-2) unstable; urgency=medium

  * Add d/patches/fix-crashes.patch patch.
    + Import upstream's commits to fix crashes. (Closes: #853034)
  * Add d/patches/gnustep-support.patch patch.
    + Fix FTBFS by missing GNUSTEP headers.
    + Thanks YOSHINO Yoshihito for it.
  * Add d/patches/proper-init-autoreleasepool.patch patch.
    + Proper init NSAutoreleasePool to avoid FTBFS.
    + Thanks YOSHINO Yoshihito for it.
  * Add d/patches/CSInputBuffer-bit-string-reading.patch patch.
    + Proper fix for CSInputBuffer bit string reading to
      avoid unar crashes when extracting rar files.
    + Thanks YOSHINO Yoshihito for it.

 -- Julián Moreno Patiño <julian@debian.org>  Thu, 23 Mar 2017 08:45:08 -0500

unar (1.10.1-1) unstable; urgency=medium

  [Matt Kraai]
  * Update Standards-Version to 3.9.7.

  [Julián Moreno Patiño]
  * New upstream release. (Closes: #800326)
  * d/control:
    + Update Standards-Version to 3.9.8. (no changes)
    + Remove XS-Testsuite, not necessary since dpkg 1.17.11.
    + Use HTTPS transport protocol for Vcs-Git URI.
  * d/rules:
    + Improve hardening flags support.
    + Remove override_dh_builddeb, Now dpkg-deb uses xz
      compression by default.
  * d/copyright:
    + Update copyright.
    + Extend debian copyright holder years.
  * d/patches:
    + Update patches offset.
  * d/source/options: Remove, now xz format is default.

 -- Julián Moreno Patiño <julian@debian.org>  Fri, 27 May 2016 10:27:17 -0500

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
 Priority: optional
 Build-Depends: debhelper (>= 9.20120115), gobjc, libbz2-dev, libgnustep-base-dev,
  libicu-dev, libssl-dev, libwavpack-dev, zlib1g-dev, bash-completion (>= 1:1.0)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://unarchiver.c3.cx/
-Vcs-Git: git://anonscm.debian.org/collab-maint/unar.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/unar.git
-XS-Testsuite: autopkgtest
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/unar.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/unar.git
 
 Package: unar
 Architecture: any

=== debian/watch ===
version=3
http://bitbucket.org/WAHa_06x36/theunarchiver/downloads \
  .*/unar-(\d\S*)\.tar\.bz2

## unar 1.10.1.1

=== debian/changelog ===
unar (1.10.1.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: bad02bb8171c2d0dc869ddcba19b7479e868fea2']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 20:49:29 +0000

## unar 1.10.7%2Bds1%2Breally1.10.1

=== debian/changelog ===
unar (1.10.7+ds1+really1.10.1-2+rb1) unstable; urgency=medium

  * Team upload.
  * Move package to team-maintenance. (Closes: #1010174)
  * debian/watch: Monitor new upstream on GitHub.

 -- Boyuan Yang <byang@debian.org>  Mon, 02 May 2022 14:19:10 -0400

unar (1.10.7+ds1+really1.10.1-1) unstable; urgency=medium

  * QA upload.
  * Revert to 1.10.1-4 source code for now due to autopkgtest error
    (bus error on armhf, s390x) with new version. Pending future fix.
    + Keep debian/unar.maintscript.
    + Keep debian/unar-bash-completion fix.

 -- Boyuan Yang <byang@debian.org>  Thu, 28 Apr 2022 14:28:11 -0400

unar (1.10.7+ds1-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 1.10.7. (Closes: #974972)
    + Import separate UniversalDetector v1.1 as component.
   * debian/control: Use "Rules-Requires-Root: no".
  * debian/unar.maintscript: Migrate away from dpkg-maintscript-helper.
  * debian/unar-bash-completion: Drop obsolete syntax.
    (Closes: #1008266) (LP: #1775046)
  * debian/unar.bash-completion: Install upstream-provided bash completion.
  * debian/unar.manpages: Install upstream-provided man pages.
  * debian/watch: Monitor new upstream on GitHub.
  * debian/copyright:
    + Update Files-Excluded field for source package repack.
  * debian/rules:
    + Drop obsolete get-orig-source target.
    + Update manual post-build test commands.
  * debian/patches: Analyze all old patches:
    - fix-crashes.patch: Dropped, applied upstream.
    + CSInputBuffer-bit-string-reading.patch: Refreshed as
      0001-Proper-fix-for-CSInputBuffer-bit-string-reading.patch.
    - gnustep-support.patch: Dropped, original source file disappeared.
    - proper-init-autoreleasepool.patch: Dropped, original file disappeared.
    - document-undocumented-options.patch: Dropped, applied upstream.
    - use-system-wavpack.patch: Dropped, applied upstream.
    + pass-cppflags-for-fortify-functions.patch: Refreshed as
      0003-Pass-CPPFLAGS-to-use-hardening-flags-fortify-functio.patch.
    - remove-build-date.patch: Dropped, no longer needed since newer GCC
      already made __DATE__ reproducible.
  * debian/patches:
    + Add 0002-Do-not-use-NATIVE_OBJC_EXCEPTIONS.patch.
      Taken from Arch Linux.

 -- Boyuan Yang <byang@debian.org>  Wed, 27 Apr 2022 15:10:23 -0400

unar (1.10.1-4) unstable; urgency=medium

  * QA upload.

  [ Matt Kraai ]
  * Update the Homepage field, thanks to Paul Wise (Closes: #891602).

  [ Boyuan Yang ]
  * debian/: Apply wrap-and-sort -abst.
  * debian/control:
    + Bump Standards-Version to 4.6.0.
    + Bump debhelper compat to v13.
    + Use correct Vcs-* URLs. (Closes: #958528)
    + Drop unnecessary Pre-Depends.
  * debian/rules: Slightly simplify using dpkg default.mk.
  * debian/copyright: Update source field. (see #891602)
  * debian/tests/*: Fix lintian warning uses-deprecated-adttmp.

 -- Boyuan Yang <byang@debian.org>  Mon, 25 Apr 2022 14:04:13 -0400

unar (1.10.1-3) unstable; urgency=medium

  * QA upload.
  * Orphan the package (take over package maintenance) via
    ITS process. (Closes: #1008569)
  * debian/control: Set package maintainer to Debian QA Group.

 -- Boyuan Yang <byang@debian.org>  Mon, 11 Apr 2022 12:27:28 -0400

## unar 1.10.7+ds1+really1.10.1

=== debian/changelog ===
unar (1.10.7+ds1+really1.10.1-3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:23:59 +0000

unar (1.10.7+ds1+really1.10.1-3) unstable; urgency=medium

  * QA upload.
  * Orphan the package.

 -- Boyuan Yang <byang@debian.org>  Thu, 29 Feb 2024 16:19:07 -0500

unar (1.10.7+ds1+really1.10.1-2) unstable; urgency=medium

  * Team upload.
  * Move package to team-maintenance. (Closes: #1010174)
  * debian/watch: Monitor new upstream on GitHub.

 -- Boyuan Yang <byang@debian.org>  Mon, 02 May 2022 14:19:10 -0400

=== debian/control ===
Source: unar
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 bash-completion (>= 1:1.0),
 debhelper-compat (= 13),
 gobjc,
 libbz2-dev,
 libgnustep-base-dev,
 libicu-dev,
 libssl-dev,
 libwavpack-dev,
 zlib1g-dev,
Standards-Version: 4.6.2
Homepage: https://theunarchiver.com/command-line
Vcs-Git: https://salsa.debian.org/debian/unar.git
Vcs-Browser: https://salsa.debian.org/debian/unar

Package: unar
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Conflicts:
 theunarchiver,
Provides:
 theunarchiver,
Replaces:
 theunarchiver,
Description: Unarchiver for a variety of file formats
 The Unarchiver is an archive unpacker program with support for the popular
 zip, RAR, 7z, tar, gzip, bzip2, LZMA, XZ, CAB, MSI, NSIS, EXE, ISO, BIN, and
 split file formats, as well as the old Stuffit, Stuffit X, DiskDouble, Compact
 Pro, Packit, cpio, compress (.Z), ARJ, ARC, PAK, ACE, ZOO, LZH, ADF, DMS, LZX,
 PowerPacker, LBR, Squeeze, Crunch, and other old formats.
 .
 This package contains the lsar tool which lists the contents of archives and
 the unar tool which extracts those contents.

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,39 @@
 #!/usr/bin/make -f
+# -*- makefile -*-
+# Uncomment this to turn on verbose mode.
+# export DH_VERBOSE=1
 
-PKG_VERSION := $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
-PKG := $(shell dh_listpackages)
+# see FEATURE AREAS in dpkg-buildflags(1)
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-	MAKEFLAGS += -j$(NUMJOBS)
+# see ENVIRONMENT in dpkg-buildflags(1)
+# package maintainers to append CFLAGS
+#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+# package maintainers to append LDFLAGS
+export DEB_LDFLAGS_MAINT_APPEND =
+
+include /usr/share/dpkg/default.mk
+
+PKG := $(DEB_SOURCE)
+PKG_VERSION := $(DEB_VERSION_UPSTREAM)
+
+
+%:
+	dh $@ --with bash-completion
+
+override_dh_auto_build:
+	OBJCFLAGS="$(CFLAGS)" $(MAKE) -C XADMaster -f Makefile.linux
+
+override_dh_auto_clean:
+	$(MAKE) -C XADMaster -f Makefile.linux clean
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	XADMaster/XADTest2
+	XADMaster/XADTest3
+	XADMaster/XADTest4
 endif
+
 
 get-orig-source:
 	# Uscan can grab upstream source zip
@@ -43,24 +70,4 @@
 	tar -cvJf ../$(PKG)_$(PKG_VERSION).orig.tar.xz --owner \
 			root --group root --mode a+rX \
 			$(PKG)-$(PKG_VERSION).orig
-
 	rm -r $(PKG)-$(PKG_VERSION).orig
-
-%:
-	dh $@ --with bash-completion
-
-override_dh_auto_build:
-	OBJCFLAGS="$(CFLAGS)" $(MAKE) -C XADMaster -f Makefile.linux
-
-override_dh_auto_clean:
-	$(MAKE) -C XADMaster -f Makefile.linux clean
-
-override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	XADMaster/XADTest2
-	XADMaster/XADTest3
-	XADMaster/XADTest4
-endif
-
-override_dh_builddeb:
-	dh_builddeb -- -Zxz

=== debian/tests/control ===
Tests: 7z
Depends:
 p7zip,
 @,

Tests: tar
Depends:
 bzip2,
 ncompress,
 xz-utils,
 @,

Tests: zip
Depends:
 zip,
 @,

## unar 1.10.8+ds1

=== debian/changelog ===
unar (1.10.8+ds1-9) unstable; urgency=medium

  * debian/control (Build-Depends): Require libgnustep-base-dev (>=
    1.31.1-2) for #1099608 fixed.  Add dh-sequence-builtusing.
    (Static-Built-Using): Amend for dh-builtusing.
    (Standards-Version): Claim compliance with 4.7.2; no changes needed.
  * debian/rules (override_dh_gencontrol): Remove override.
  * debian/tests/control: Revert last change.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 21 Mar 2025 05:59:32 +0200

unar (1.10.8+ds1-8) unstable; urgency=medium

  * debian/patches/Revert-Switch-to-faster-CRC-implementations.patch:
    Update to actually fix the issue on big-endian platforms; thanks
    Bastian Germann (Closes: #1098453).
  * debian/control (Build-Depends): Remove ancient version requirement for
    bash-completion.
    (Standards-Version): Claim compliance with 4.7.1; no changes needed.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 21 Feb 2025 15:26:06 +0200

unar (1.10.8+ds1-7) unstable; urgency=medium

  * Run wrap-and-sort -ast.
  * debian/control (Build-Depends): Require libuniversaldetector-dev (>=
    1.1-6) and libgnustep-base-dev (>= 1.30.0-10) for the multiarch
    layout.  Remove gobjc, uninstallable in a cross build.
  * debian/rules: Include gnustep-make's config.mk for cross builds.
    (DEB_CPPFLAGS_MAINT_APPEND): Define to GNUSTEP_SYSTEM_HEADERS to fix
    FTBFS (Closes: #1093997).
    (override_dh_auto_build): Pass OBJCC=$(OBJC) AR=$(AR) to fix FTCBFS;
    upstream uses a non-standard variable (Closes: #1093998).
  * debian/TODO: Delete; that's not a gnustep-base bug but a feature.
  * debian/copyright: Update copyright years.
  * debian/tests/control: Add Restrictions: allow-stderr for the zip test;
    cannot reproduce locally even with autopkgtest-schroot.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 01 Feb 2025 12:11:24 +0200

unar (1.10.8+ds1-6) unstable; urgency=medium

  * debian/contol (Uploaders): Add myself.
    (Build-Depends): Require libuniversaldetector-dev (>= 1.1-4); remove
    libuchardet-dev (unused).
    (Vcs-Git, Vcs-Browser): Point to the new repo location.
    (Pre-Depends, Conflicts, Replaces, Provides): Remove; obsolete.
  * debian/rules (override_dh_gencontrol): Remove libuchardet-dev from
    Static-Built-Using.
    (override_dh_auto_build): Use dh_auto_build instead of $(MAKE) to
    enable parallel builds.
    (override_dh_auto_clean): Use dh_auto_clean instead of $(MAKE).
  * debian/patches/Use-package-UniversalDetector.patch: Remove uchardet as
    universal-detector doesn't work with it.  Mark as Debian-specific.
  * debian/patches/lto.patch: New; fix FTBFS with LTO (Closes: #1015697).
  * debian/patches/remove-build-date.patch: Convert to UTF-8 to fix a
    lintian W: national-encoding.  Mark as Debian-specific.  Refresh.
  * debian/patches/pass-cppflags-for-fortify-functions.patch: Refresh.
  * debian/patches/gcconefour: Remove template description which triggers
    lintian I: quilt-patch-using-template-description; mark as forwarded.
  * debian/unar.maintscript: Delete; obsolete.
  * debian/copyright: Add two more files under BSD-3-Clause.  Add new
    stanza for a file under ISC; add ISC license text.  Add Debian GNUstep
    team as copyright holder for packaging changes.

  [ Bastian Germann ]
  * Patch: Set already published version.
  * Fix Static-Built-Using.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 01 Sep 2024 13:44:21 +0300

unar (1.10.8+ds1-5) unstable; urgency=medium

  * Move to GNUstep team.
  * Apply patch to fix FTBFS with GCC 14. (Closes: #1075601)
    Thanks Yavor Doganov.

 -- Alex Myczko <tar@debian.org>  Thu, 04 Jul 2024 13:37:04 +0000

unar (1.10.8+ds1-4) unstable; urgency=medium

  * Adopt package. (Closes: #1065113)
  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Fri, 31 May 2024 14:13:01 +0000

unar (1.10.8+ds1-3) unstable; urgency=medium

  * QA upload.
  * Revert big endian breaking change.

 -- Bastian Germann <bage@debian.org>  Tue, 16 Apr 2024 20:40:31 +0000

unar (1.10.8+ds1-2) unstable; urgency=medium

  * QA upload.
  * Use DEB_HOST_MULTIARCH to refer to uchardet path.

 -- Bastian Germann <bage@debian.org>  Mon, 15 Apr 2024 21:23:38 +0000

unar (1.10.8+ds1-1) unstable; urgency=medium

  * QA upload.
  * Recover usable changes from 1.10.7+ds1-1.
  * Recover patches from 1.10.7+ds1-1 with removed prefix.
  * Patch: Use package uchardet with universaldetector.
  * d/copyright: Correct info for new version.
  * New upstream version 1.10.8+ds1. (Closes: #974972)

 -- Bastian Germann <bage@debian.org>  Mon, 15 Apr 2024 22:08:17 +0200

=== debian/control ===
Source: unar
Section: utils
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders:
 Alex Myczko <tar@debian.org>,
 Yavor Doganov <yavor@gnu.org>,
Build-Depends:
 bash-completion,
 debhelper-compat (= 13),
 dh-sequence-builtusing,
 libbz2-dev,
 libgnustep-base-dev (>= 1.31.1-2),
 libicu-dev,
 libssl-dev,
 libuniversaldetector-dev (>= 1.1-6),
 libwavpack-dev,
 zlib1g-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://theunarchiver.com/command-line
Vcs-Git: https://salsa.debian.org/gnustep-team/unar.git
Vcs-Browser: https://salsa.debian.org/gnustep-team/unar

Package: unar
Architecture: any
Static-Built-Using:
 ${dh-builtusing:libuniversaldetector-dev},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Unarchiver for a variety of file formats
 The Unarchiver is an archive unpacker program with support for the popular
 zip, RAR, 7z, tar, gzip, bzip2, LZMA, XZ, CAB, MSI, NSIS, EXE, ISO, BIN, and
 split file formats, as well as the old Stuffit, Stuffit X, DiskDouble, Compact
 Pro, Packit, cpio, compress (.Z), ARJ, ARC, PAK, ACE, ZOO, LZH, ADF, DMS, LZX,
 PowerPacker, LBR, Squeeze, Crunch, and other old formats.
 .
 This package contains the lsar tool which lists the contents of archives and
 the unar tool which extracts those contents.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile-gmake -*-
# export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS := 1
include /usr/share/dpkg/default.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/GNUstep/debian/config.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -I$(GNUSTEP_SYSTEM_HEADERS)

%:
	dh $@ --with bash-completion

override_dh_auto_build:
	dh_auto_build -Smakefile -- -f Makefile.linux OBJCC=$(OBJC) AR=$(AR)

override_dh_auto_clean:
	dh_auto_clean -Smakefile -- -f Makefile.linux clean

=== debian/tests/control ===
Tests:
 7z,
Depends:
 p7zip,
 @,

Tests:
 tar,
Depends:
 bzip2,
 ncompress,
 xz-utils,
 @,

Tests:
 zip,
Depends:
 zip,
 @,

=== debian/watch ===
version=4
opts=repacksuffix=+ds1,dversionmangle=auto \
 https://github.com/MacPaw/XADMaster/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
